import requests
import logging
logging.getLogger("requests").setLevel(logging.WARNING)
logging.getLogger("urllib3").setLevel(logging.WARNING)

API_KEY = "***REMOVED***"
TMDB_FIND_URL = "https://api.themoviedb.org/3/find/"

TMDB_IMG_URL = "https://image.tmdb.org/t/p/original"


def get_movie_data(imdb_id):
	data = {
		"api_key": API_KEY,
		"language": "en-US",
		"external_source": "imdb_id"
	}
	r = requests.get(TMDB_FIND_URL+imdb_id, data=data)
	info = dict(r.json())
	if "status_code" in info.keys():
		print("error getting tmdb data, status code:", info["status_code"])
		return None
	print("tmdb movie title:", info["movie_results"][0]["title"])
	movie_id = info["movie_results"][0]["id"]
	overview = info["movie_results"][0]["overview"]
	poster_path = info["movie_results"][0]["poster_path"]
	backdrop_path = info["movie_results"][0]["backdrop_path"]

	return movie_id, overview, poster_path, backdrop_path


def get_tv_show_data(imdb_id):
	data = {
		"api_key": API_KEY,
		"language": "en-US",
		"external_source": "imdb_id"
	}
	r = requests.get(TMDB_FIND_URL+imdb_id, data=data)
	info = dict(r.json())
	if "status_code" in info.keys():
		print("error getting tmdb data, status code:", info["status_code"])
		return None
	if info["tv_results"] == []:
		print("no tmdb results for:", imdb_id)
		return None
	print("tmdb movie title:", info["tv_results"][0]["name"])
	tv_show_id = info["tv_results"][0]["id"]
	overview = info["tv_results"][0]["overview"]
	poster_path = info["tv_results"][0]["poster_path"]

	return tv_show_id, overview, poster_path


def get_tv_episode_data(imdb_id):
	data = {
		"api_key": API_KEY,
		"language": "en-US",
		"external_source": "imdb_id"
	}
	r = requests.get(TMDB_FIND_URL+imdb_id, data=data)
	info = dict(r.json())
	if "status_code" in info.keys():
		print("error getting tmdb data, status code:", info["status_code"])
		return None
	if info["tv_episode_results"] == []:
		print("no tmdb results for:", imdb_id)
		return None
	print("tmdb movie title:", info["tv_episode_results"][0]["name"])
	tv_episode_id = info["tv_episode_results"][0]["id"]
	name = info["tv_episode_results"][0]["name"]
	overview = info["tv_episode_results"][0]["overview"]
	still_path = info["tv_episode_results"][0]["still_path"]

	return tv_episode_id, overview, still_path
